Bug 373181 - system-config-network breaks wireless encryption configurations if connection is edited
system-config-network breaks wireless encryption configurations if connection...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 12:21 EST by Ken A.
Modified: 2016-12-23 14:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:07:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken A. 2007-11-09 12:21:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
Using Network Manager with iwl3945 wireless on a thinkpad T60. 
To repeat bug:
Remove all network configurations and then reboot.
Create a wireless network config - wlan0 with iwl3945 driver, specifying managed network, ssid, and 128bit wep key beginning with '0x'. The configuration works.
Next, reboot. The configuration still works. Then, if I edit the configuration and view the wep key, then save, without changing anything, the configuration no longer works. /sbin/iwconfig shows that the encryption key has been changed to something else. Reentering the wep key doesn't fix it. Deleting the configuration is the only way to fix it. 

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.5.svn3030.fc8

How reproducible:
Always


Steps to Reproduce:
1. see above
2.
3.

Actual Results:
see aboce

Expected Results:


Additional info:
Comment 1 Dan Williams 2007-11-09 14:56:48 EST
You shouldn't be prefixing the key with 0x.  If you're entering a hex key, be
sure to choose WEP 40/128-bit Hexadecimal Key.  How exactly are you "viewing the
WEP key" and editing the connection?
Comment 2 Ken A. 2007-11-09 15:08:33 EST
apologies. I'm in the gui system-config-network 1.4.3. This is not network
manager. system-config-network is showing me the wep key, and it requests it
prefaced with 0x. Upon saving after no edits, the configuration breaks.
Comment 3 Harald Hoyer 2008-03-31 06:20:53 EDT
How do the /etc/sysconfig/network-scripts/ifcfg-* files look like after editing?
Comment 4 Bug Zapper 2008-11-26 03:15:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:07:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.